/* 제품 별 상세 페이지 */
productInformationPageController = () => {
	// Product Information Page's Carousel Controller
	carouselController = function (status) {
		if (status) {
			// 첫 번째 항목 항상 펼치기 여부
			$(".que").eq(0).next(".anw").stop().slideToggle(300);
			$(".que").eq(0).toggleClass('on').siblings().removeClass('on');
			$(".que").eq(0).next(".anw").siblings(".anw").slideUp(300);
		}

		$(".que").click(function () {
			$(this).next(".anw").stop().slideToggle(300);
			$(this).toggleClass('on').siblings().removeClass('on');
			$(this).next(".anw").siblings(".anw").slideUp(300);      // 1개씩 펼치기
		});
	}

	// 구매하기 버튼 텍스트 변경 가능한 컨트롤러
	buyButtonController = (pathname) => {
		let isMobi = /Mobi/i.test(window.navigator.userAgent);
		let btnSelector = '';

		if(window.location.pathname == pathname) {
			if(isMobi) {
				btnSelector = $('#shopCart_begin_checkout')[0];
			} else {
				btnSelector = $('#detailPage_begin_checkout')[0];
			}

			if(btnSelector)	btnSelector.innerText = '샘플 신청하기';
		}
	}

	// 구매평 On/Off 컨트롤러
	purchaseReviewController = (pathname) => {
		if(window.location.pathname == pathname) {
			let isMobi = /Mobi/i.test(window.navigator.userAgent);
			let selector = '';

			if(isMobi)
				selector = '#prod_detail_content_tab_mobile > ul > li:nth-child(2)';
			else 
				selector = '#pc_tab_offset > ul > li:nth-child(2)';

			if(selector)
				$(selector).hide();
		}
	}

	// Product Information (구매 혜택 등)
	productInformationController = (obj) => {
		let href = window.location.href.split('?')[1];

		if(href.includes(`idx=${obj.id}`)) {
			// 구매 혜택 정보 있는 경우
			if(obj.benefit) {
				let selector = document.querySelector('#prod_goods_form > div.item_detail').getElementsByTagName('a')[0];
				selector.before(obj.benefit)
			} 
			
			// 회원 혜택 정보 있는 경우
			if(obj.membership) {
				let selector = document.querySelector('#prod_goods_form > div.item_detail > div > div:nth-child(1) > div:nth-child(7)');
				let membershipElem = `<div class='option_wrap' style='display: block; font-size:12px;'><div class='inline-blocked vertical-middle'><span class='option_title text-bold'>회원혜택</span></div><div class='inline-blocked vertical-middle'><span class='option_data'>${obj.membership}</span></div></div>`
				selector.insertAdjacentHTML('beforeBegin', membershipElem);
			}

			// 쿠폰 적용 불가 여부
			if(obj.noCoupon) {
				let selector = document.querySelector('#prod_goods_form > div.item_detail > div > div:nth-child(1) > div:nth-child(10)');
				let noCouponElem = "<div class='option_wrap' style='display: block; font-size:12px;'><div class='inline-blocked vertical-middle'><span class='option_title text-bold'>쿠폰 적용 불가 상품입니다</span></div>";
				selector.insertAdjacentHTML('beforeBegin', noCouponElem);
			}
		}
	}
}

/* GNB */
globalNavigationBarController = () => {

	// dropdown menu 클릭 비활성화
	dropdownMenuUnClickController = (dropdownId) => {
		$(`${dropdownId} > a`).removeAttr("href");
		$(`${dropdownId} > a`).css('cursor','default');
	
		if(window.location.pathname == '/' || window.location.pathname == '/Home') {
			$(`${dropdownId} > a`).hover(function() {
				$(this).css("color", "#ffffff");
			}, function() {
				$(this).css("color", "#ffffff");
			});
		}
	}

	// hamburger menu 클릭 비활성화
	hamburgerMenuUnClickController = (type, menuId, childNumber) => {
		$(`${menuId} > div > div > a`).on('click', function() {
			if(type == 'pc') {
				let te_story_selector = `#pc_slide_menu > div > div.tse-scroll-content > div > ul > div > li:nth-child(${childNumber}) > a`
				$(te_story_selector).removeAttr('href');
				$(te_story_selector).css('cursor', 'default');
			} else if(type == 'mobile') {
				$(`#mobile_slide_menu > ul > div > li:nth-child(${childNumber}) > a`).removeAttr("href");
				$(`#mobile_slide_menu > ul > div > li:nth-child(${childNumber}) > a`).css('cursor', 'default');
			}
		});
	}
}

(function ($) {
	/* 제품 별 상세 페이지 */
	productInformationPageController();

	/* GNB */
	globalNavigationBarController();

	// Header - Te' Logo Controller
	teLogoController = function (status) {
		if (status) {
			// 로고 hover 효과 숨기기
			$('[class="widget inline_widget image  show_hover text_bottom hover_text_bottom"]').removeClass('show_hover');
			$('[class="back_img _back_img"]').hide();

			// PC
			let blackLogoBox = document.getElementsByClassName("front_img")[0];
			let whiteLogoBox = document.getElementsByClassName("back_img_wrap")[0];
			let blackLogoImgSrc = blackLogoBox.children[0].getAttribute("src");		// black_logo img src
			let whiteLogoImgSrc = whiteLogoBox.children[0].getAttribute("src");		// white_logo img src

			// Mobile
			let mblackLogoBox = document.getElementsByClassName("front_img")[1];
			let mblackLogoImgSrc = mblackLogoBox.children[0].getAttribute("src");		// black_logo img src (mobile ver.)

			if (window.location.pathname == '/' || window.location.pathname == '/Home') {
				blackLogoBox.children[0].setAttribute("src", whiteLogoImgSrc);
				mblackLogoBox.children[0].setAttribute("src", whiteLogoImgSrc);

				// 스크롤 작동 시, 로고 색상 다시 검정색으로 변경하기 
				$(window).scroll(function () {
					var scroll = $(window).scrollTop();
					blackLogoBox.children[0].setAttribute("src", blackLogoImgSrc);
					mblackLogoBox.children[0].setAttribute("src", mblackLogoImgSrc);

					if (scroll < 1) {
						blackLogoBox.children[0].setAttribute("src", whiteLogoImgSrc);
						mblackLogoBox.children[0].setAttribute("src", whiteLogoImgSrc);
					}
				});
			}
		}
	}

	// Footer - Business Info Toggle Status Controller
	$.fn.businessInfo = function (status) {
		if (status) {
			this.click(function () {
				$("#business_info").toggle();
			});
		}
	}
}(jQuery))

